#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "board.h"
#include "tokenmanager.h"
#include "gameuisge.h"

namespace Ui {
  class MainWindow;
}

class MainWindow : public QMainWindow
{
  Q_OBJECT
  
//Hauptfenster-Klassendeklaration in der Datei "mainwindow.h"
public:
  void resizeEvent(QResizeEvent * event);

  explicit MainWindow(QWidget *parent = 0);
  ~MainWindow();

private slots:
  void OpenInfo();
  void OpenManual();
  
private:
  Ui::MainWindow *ui;
  Board *TheBoard;
  TokenManager * TheTokenManager;
  GameUisge * TheGame;
};

#endif // MAINWINDOW_H
